export declare type ExpirableBannerType = {
    expiry?: {
        validFrom?: number;
        validTo?: number;
    };
};
declare type BannerImage<T> = ExpirableBannerType & T;
export declare function useBanner<T>(images: BannerImage<T>[]): BannerImage<T> | null;
export declare const isExpired: (validFrom: number, validTo: number) => boolean;
export {};
